%define        pkg_version  %(echo %version | tr . _)

Name:          kilim1
Version:       1.1.3
Release:       %mkrel 2
Summary:       Java Configuration Framework
Group:         Development/Java
License:       BSD, LGPL
Url:           http://kilim.ow2.org/
Source0:       http://download.forge.objectweb.org/kilim/Kilim_%{pkg_version}-src.tar.gz
Source1:       kilim-%{version}.pom
BuildRequires: ant
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: nanoxml
Requires:      jpackage-utils
Requires:      nanoxml
BuildArch:     noarch

%description
Kilim is a generic configuration framework for Java, which can be used
easily with existing applications, frameworks, and systems. It was
originally built into Jonathan in order to allow fine configuration of
its various frameworks (protocols, resource management policies, etc.)
without requiring specific code, and has since grown independently of
Jonathan.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils
Requires:      %{name} = %{version}-%{release}

%description javadoc
Kilim - Java Configuration Framework.

This package contains javadoc for %{name}.

%package manual
Group:         Development/Java
Summary:       Documents for  %{name}

%description manual
Kilim - Java Configuration Framework.

This package contains documents for %{name}.

%prep
%setup -q -n kilim

for j in $(find . -name "*.jar"); do
   mv $j $j.no
done
for j in $(find . -name "*.class"); do
   rm -f $j
done

pushd externals
  ln -sf $(build-classpath nanoxml-lite) .
popd

for i in src/org/objectweb/jonathan/apis/kernel/decoders/Properties2Configuration.java
do
        native2ascii -encoding UTF8 $i $i
done

%build

export CLASSPATH=$(build-classpath nanoxml-lite)
ant distrib javadoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -m 644 distrib/kilim.jar %{buildroot}%{_javadir}/kilim1-%{version}.jar
install -m 644 distrib/kilim-tools.jar %{buildroot}%{_javadir}/kilim1-tools-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_mavenpomdir}
install -m 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-kilim1.pom
%add_to_maven_depmap kilim kilim %{version} JPP kilim1

mkdir -p %{buildroot}%{_javadocdir}/kilim1-%{version}
cp -pr doc/apis/* %{buildroot}%{_javadocdir}/kilim1-%{version}
ln -sf kilim1-%{version} %{buildroot}%{_javadocdir}/kilim1

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/kilim1-%{version}.jar
%{_javadir}/kilim1.jar
%{_javadir}/kilim1-tools-%{version}.jar
%{_javadir}/kilim1-tools.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc Readme.txt

%files javadoc
%{_javadocdir}/kilim1-%{version}
%{_javadocdir}/kilim1

%files manual
%doc doc/GettingStarted



%changelog

* Sun Jan 13 2013 dmorgan <dmorgan> 1.1.3-2.mga3
+ Revision: 378866
- Fix files encoding

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 03 2011 dmorgan <dmorgan> 1.1.3-1.mga2
+ Revision: 138207
- Adapt to mageia guidelines

  + gil <gil>
    - imported package kilim1


* Sat Jun 25 2011 gil <gil> 1.1.3-0.%%mkrel
- initial rpm